- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Namespaces | Defines | Enumerations | Functions

# qaccessible2.h File Reference

`#include <QtGui/qaccessible.h>`

Go to the source code of this file.

## Classes
class | QAccessible2Interface
class | QAccessibleTextInterface
class | QAccessibleEditableTextInterface
class | QAccessibleSimpleEditableTextInterface
class | QAccessibleValueInterface
class | QAccessibleTableInterface
class | QAccessibleActionInterface
class | QAccessibleImageInterface
## Namespaces
namespace | QAccessible2
## Defines
#define | Q_ACCESSIBLE_OBJECT
## Enumerations
enum | CoordinateType { RelativeToScreen = 0, RelativeToParent = 1 }
enum | BoundaryType { CharBoundary, WordBoundary, SentenceBoundary, ParagraphBoundary, LineBoundary, NoBoundary }
## Functions
QAccessible2Interface * | qAccessibleValueCastHelper ()
QAccessible2Interface * | qAccessibleTextCastHelper ()
QAccessible2Interface * | qAccessibleEditableTextCastHelper ()
QAccessible2Interface * | qAccessibleTableCastHelper ()
QAccessible2Interface * | qAccessibleActionCastHelper ()
QAccessible2Interface * | qAccessibleImageCastHelper ()

## Define Documentation

#define Q_ACCESSIBLE_OBJECT

Search for all occurrences
Value:

    public: \
        QAccessible2Interface *interface_cast(QAccessible2::InterfaceType t) \
        { \
            switch (t) { \
            case QAccessible2::TextInterface: \
                return qAccessibleTextCastHelper(); \
            case QAccessible2::EditableTextInterface: \
                return qAccessibleEditableTextCastHelper(); \
            case QAccessible2::ValueInterface: \
                return qAccessibleValueCastHelper(); \
            case QAccessible2::TableInterface: \
                return qAccessibleTableCastHelper(); \
            case QAccessible2::ActionInterface: \
                return qAccessibleActionCastHelper(); \
            case QAccessible2::ImageInterface: \
                return qAccessibleImageCastHelper(); \
            } \
            return 0; \
        } \
        private:

Definition at line 87 of file qaccessible2.h.

## Function Documentation

QAccessible2Interface* qAccessibleValueCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 80 of file qaccessible2.h.

    { return 0; }

QAccessible2Interface* qAccessibleTextCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 81 of file qaccessible2.h.

    { return 0; }

QAccessible2Interface* qAccessibleEditableTextCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 82 of file qaccessible2.h.

    { return 0; }

QAccessible2Interface* qAccessibleTableCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 83 of file qaccessible2.h.

    { return 0; }

QAccessible2Interface* qAccessibleActionCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 84 of file qaccessible2.h.

    { return 0; }

QAccessible2Interface* qAccessibleImageCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 85 of file qaccessible2.h.

    { return 0; }